
//下拉列表筛选

var menuWrapper = document.querySelector(".menu-wrapper");//下拉弹出最外层
var menu = document.querySelector(".menu");//下拉弹出内容
var backdropTop = document.querySelector('.wrapper-top-bg');//黑色透明背景
var tabMenu = document.querySelectorAll('.lis-condition li');//下拉点击按钮
var tabHtml = document.querySelectorAll('.menu .seas');//下拉列表
var dropSlider = document.querySelectorAll('#menu-lis .seas')//下拉列表
var sideslipWidth = document.querySelector('body').clientWidth;//页面宽度
var deceleration = mui.os.ios ? 0.003 : 0.001; //MUI滚动阻尼系数

//车系默认位置
if(document.querySelector('.car-list-audi')){
	document.querySelector('.car-list-audi').style.left = '100vw';
}

//下拉菜单点击事件
function openSelects(){
	mui('.lis-condition').on('tap', 'li', function() {
		var num = this.getAttribute('index');
		if(this.classList.contains('mui-active')) {
			this.classList.remove('mui-active');
			menuHide();
		} else {
			for(var i = 0; i < tabMenu.length; i++) {
				tabMenu[i].classList.remove('mui-active');
			};
			this.classList.add('mui-active');
			menuShow();
		}
		//默认隐藏所有
		for(var i = 0; i < tabHtml.length; i++) {
			tabHtml[i].style.display = 'none';
		};
		//显示对应下拉
		if(num == dropSlider[num - 1].getAttribute('index')) {
			dropSlider[num - 1].style.display = 'block';
			dropSlider[num - 1].style.opacity = '1';
		}
		muiScroll('.mui-scroll-wrapper', deceleration);
	});
}

//点击车系关闭下拉列表
function closeSelect(){
	mui('.car-list-audi').on('tap', 'li', function() {
		document.querySelector('.car-list-audi').classList.remove('active');
		startMover(sideslipWidth);
		menuHide();
	});
}

//车辆品牌显示
function brandIndex(){
	//品牌索引列表
	mui.ready(function() {
		var list = document.getElementById('list');
		window.indexedList = new mui.IndexedList(list);
	});
	//点击品牌显示车系
	mui('.mui-indexed-list-inner').on('tap', 'li.mui-indexed-list-item', function() {
		document.querySelector('.car-list-audi').classList.add('active');
		startMover(document.querySelector('.car-list-none').clientWidth);
	});
}

//更多筛选弹出效果
function moreScreening(){
	//更多筛选弹出效果
	mui('.side-tabs .left').on('tap', 'a', function() {
		var nums = this.getAttribute('index');
		var aNums = document.querySelectorAll('.side-tabs .left ul li');
		for(var i = 1; i <= aNums.length; i++) {
			if(document.getElementById('index' + i)) {
				document.getElementById('index' + i).classList.remove('active');
			};
			if(document.getElementById('cont' + i)) {
				document.getElementById('cont' + i).style.display = 'none';
			};
		}
		this.classList.add('active');
		if(document.getElementById('cont' + nums)) {
			document.getElementById('cont' + nums).style.display = 'block';
		}
	})
}

//隐藏下拉菜单
function menuHide() {
	for(var i = 0; i < tabMenu.length; i++) {
		tabMenu[i].classList.remove('mui-active');
	};
	document.body.classList.remove('menu-open');
	menuWrapper.className = 'menu-wrapper fade-out-up animated';
	menu.className = 'menu bounce-out-up animated';
	setTimeout(function() {
		backdropTop.style.display = 'none';
		menuWrapper.classList.add('hidden');
		document.querySelector('.mui-bar-nav').style.overflow = 'hidden';
		//车系列表默认位置
		if(document.querySelector('.car-list-audi')){
			document.querySelector('.car-list-audi').style.left = '100vw';
		}
		//新车4S店车两列表弹出下拉位置
		if(document.querySelector('.new-4s-top')) {
			document.querySelector('.new-4s-top').style.marginTop = '0px';
			document.querySelector('.new-car-wrapper').style.marginTop = '150px';
		};
	}, 500);
}

//显示下拉菜单
function menuShow() {
	//新车4S店车两列表弹出下拉位置
	if(document.querySelector('.new-4s-top')) {
		document.querySelector('.new-4s-top').style.marginTop = '-147px';
		document.querySelector('.new-car-wrapper').style.marginTop = '0';
	}
	document.querySelector('.mui-bar-nav').style.overflow = 'inherit';
	document.body.classList.add('menu-open');
	menuWrapper.className = 'menu-wrapper fade-in-down animated';
	menu.className = 'menu bounce-in-down animated';
	backdropTop.style.display = 'block';
}

var timer = null;
//车系选择过度效果
function startMover(itarget) { //速度和目标值
	//执行当前动画同时清除之前的动画
	clearInterval(timer);
	var odiv = document.querySelector('.car-list-audi');
	timer = setInterval(function() {
		//缓冲动画的速度参数变化值
		var speed = (itarget - odiv.offsetLeft) / 5;
		speed = speed > 0 ? Math.ceil(speed) : Math.floor(speed);
		if(odiv.offsetLeft == itarget) {
			clearInterval(timer);
		} else {
			odiv.style.left = odiv.offsetLeft + speed + 'px';
			//监听拖动中隐藏车系
			mui('.car-lis').on('drag', '.new-carLog-lis', function() {
				document.querySelector('.car-list-audi').classList.remove('active');
				startMover(sideslipWidth);
			})
		}
	}, 30);
}