//路径
var _url = 'http://m.chechao100.com/', 
	_path='http://www.chechao100.com';
var deceleration = mui.os.ios ? 0.003 : 0.001;
muiScroll('.mui-scroll-wrapper', deceleration);
//自适应字体大小设置
function fontSize() {
	var deviceWidth = document.documentElement.clientWidth > 414 ? 414 : document.documentElement.clientWidth;
	document.documentElement.style.fontSize = (deviceWidth / 25) + "px";
}
fontSize();
window.onresize = fontSize;
//空验证
function LTrim(str) {
    var i = 0;
    while (str.charAt(i) == ' ') i++;
    return str.substring(i);
}

function RTrim(str) {
    var i = 0;
    var len = str.length;
    while (str.charAt(len - i - 1) == ' ') i++;
    return str.substring(0, len - i);
}

function ATrim(str) {
    return RTrim(LTrim(str));
}

 //----判断数据项非空----

function isEmpty(str) {
    if (str != null) {
        var tmp = ATrim(str)
        if (tmp.length == 0) {
            return true;
        }
    }
    return false;
}
//判断是否为数字
function checkNUM(NUM) {
    var i, j, strTemp;
    strTemp = "0123456789.";
    if (NUM.length == 0) return 0
    for (i = 0; i < NUM.length; i++) {
        j = strTemp.indexOf(NUM.charAt(i));
        if (j == -1) {
            return 0;
        }
    }
    return 1;
}
//判断手机号格式
function isMobile(mobile) {
	 if (mobile==null||mobile.length != 11) {
	     return 0;
	 }
	 if (checkNUM(mobile) == 0) {
	     return 0;
	 }
	 var s = mobile.substring(0, 2);
	 if (s != "13" && s != "14" && s != "15" && s != "17"  && s != "18"  && s != "19") {
	     return 0;
	 }
	 return 1;
}
//MUI滚动
function muiScroll(scrollWrapper, decelerations) {
	//初始化单页的区域滚动
	mui(scrollWrapper).scroll({
		scrollY: true, //是否竖向滚动
		scrollX: false, //是否横向滚动
		startX: 0, //初始化时滚动至x
		startY: 0, //初始化时滚动至y
		indicators: true, //是否显示滚动条
		deceleration: decelerations, //减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
		bounce: false //是否启用回弹
	});
}

//格式化金额
function munFormat(num,flag,ty) {
	var num = new Number(num);
	if(ty=="index"){
		return (num.toFixed(flag) + '').replace(/\d{1,3}(?=(\d{3})+(\.\d*)?$)/g, '$&');
	}else{
		return (num.toFixed(flag) + '').replace(/\d{1,3}(?=(\d{3})+(\.\d*)?$)/g, '$&,');	
	}
} 
//月供计算
function Carloan(money,time){
 	var myrate = localStorage.getItem('myrate');
 	var limit= parseFloat(money) / time + parseFloat(money) * parseFloat(myrate);
	return limit;
}
//时间戳获取年份
function formatInt(ns,outFlag){
 	var   now=new  Date(ns*1000);     
    var   year=now.getFullYear();     
    var   month=now.getMonth()+1 < 10 ? '0'+(now.getMonth()+1):now.getMonth()+1;   
    var   dates=now.getDate() < 10 ? '0'+now.getDate():now.getDate(); 
    var   hour=now.getHours() < 10 ? '0'+now.getHours():now.getHours();     
	var   minute=now.getMinutes() < 10 ? '0'+now.getMinutes():now.getMinutes();
	var   second=now.getSeconds() < 10 ? '0'+now.getSeconds():now.getSeconds();
	var   res;
   	switch(outFlag){
   		case 'y' : res = year; break;
   		case 'm' : res = year+"-"+month   ; break;
   		case 'd' : res = year+"-"+month+"-"+dates ; break;
   		case 'h' : res = year+"-"+month+"-"+dates+" "+hour; break;
   		case 'i' : res = year+"-"+month+"-"+dates+" "+hour+":"+minute; break;
   		case 's' : res = year+"-"+month+"-"+dates+" "+hour+":"+minute+":"+second; break;
   	}
    return   res;
}
//字符截取
function stringCut(data){
	if(data!=null&&data!=''){
		var flag = data.indexOf(',');
		var outPut = (flag==-1)?data:data.substring(0,flag);
		return outPut;
	}else{
		return '-';
	}
}
//新开窗口
function openNewPage(name,flag){
	if(name!=''){
		if(flag!=''&&flag!=null){
			mui.openWindow({
				url:name+'.html',
			  	id: name,
			  	extras:{
			    	flag:flag
			    }
			});
		}else{
			mui.openWindow({
				url:name+'.html',
			  	id: name
			});	
		}
	}
}
//窗口刷新
function reOpen(id,pageId){
	localStorage.setItem('carId',id)
	if(pageId==''){
		location.reload(true);
	}else{
		var userPage = plus.webview.getWebviewById(pageId);
		if(userPage){
			userPage.reload(true);
			mui.back();
		}else{
			openNewPage(pageId,id)
		}
		
	}
}
//显示更多图片
mui('.mui-collapse').on('tap','a',function(){
	$('.car-img-con img').removeClass('dn');
	$('.mui-collapse a').addClass('dn');
})
//车贷计算
function changes(condition, obj) {
	var price = jQuery('#prices').val();
	var myrate = localStorage.getItem('myrate')
	var valu = jQuery(obj).attr('value');
	jQuery('#'+condition+' a').removeClass('mui-active');
	jQuery(obj).addClass('mui-active');
	if(condition === 'rate') {
		p_f = parseFloat(price) * parseInt(valu) / 100;
		p_e = parseFloat(price) - parseFloat(p_f);
		limits = jQuery('#limits').find('a.mui-active').attr('value');
		p_m = parseFloat(p_e) / limits + parseFloat(p_e) * parseFloat(myrate);
		jQuery('#limit_info').text("(车价×" + valu + "%)");
		jQuery('#b_rate').val(valu);
	} else {
		rate = jQuery('#rate').find('a.mui-active').attr('value');
		p_f = parseFloat(price) * parseInt(rate) / 100;
		p_e = parseFloat(price) - parseFloat(p_f);
		p_m = parseFloat(p_e) / valu + parseFloat(p_e) * parseFloat(myrate);
		jQuery('#limit_info').text("(车价×" + rate + "%)");
		jQuery('#b_limits').val(valu);
	}
	jQuery("#p_f").text('￥' + (p_f * 10000).toFixed(0));
	jQuery("#p_e").text('￥' + (p_e * 10000).toFixed(0));
	jQuery("#p_m").text('￥' + (p_m * 10000).toFixed(0));
 	jQuery('#'+condition+'1').val(valu);
	jQuery('#b_price').val(price);
}
//分期购车
function buying(type,pageName) {
	if(uid=='-1'){
		mui.toast("您还没有登录");
		setTimeout("openNewPage('login','"+pageName+"')",600)
		return;
	}
	var cid = jQuery('#cid').val();
	var nickname = jQuery('#b_name').val();
	var p_price = jQuery('#b_price').val();
	var phone_buy = jQuery('#b_phone').val();
	var rate=jQuery('#b_rate').val();
    var limits=jQuery('#b_limits').val();
	mui.ajax(_url + 'Appoint/savePlan', {
		data: {
			cid: cid,
			type:type,
			uid: uid,
			name: nickname,
			cellphone: phone_buy,
		 	rate:rate,
            limits:limits
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.status == 201) {
				mui.toast(data.res)
			} else {
				mui.toast(data.res)
				setTimeout('mui.back()',1500);
			}
		},
	});
}
//本页面_单页面切换（页面，主页）
function viewPage(page, pageCon) {
	var viewApi = mui(page).view({
		defaultPage: pageCon
	});
	var view = viewApi.view;
	(function($) {
		//处理view的后退与webview后退
		var oldBack = $.back;
		$.back = function() {
			if(viewApi.canBack()) { //如果view可以后退，则执行view的后退
				viewApi.back();
			} else { //执行webview后退
				oldBack();
			}
		};
	})(mui);
}

//检查更新
function checkUpdate(page){
	if(mui.os.ios){return;};
	//plus.nativeUI.showWaiting("检测更新...");
	var wgtVer=null;
	plus.runtime.getProperty(plus.runtime.appid,function(inf){
	    wgtVer=inf.version;
	});
	mui.ajax( _url+'Tool/checkUpdate',{
		data:{
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		success:function(data){
			if(data.version!=wgtVer){
				mui.confirm('新版本大小:'+data.size+'\n更新内容:\n'+data.content+'', '发现新版本:'+data.version+'，是否立即更新？', ['下回再说','现在更新'], function(e) {
					if (e.index == 1) {
						downWgt();
					} else {
						//mui.toast('您可以在“我的”里检查更新');
					}
				})				
			}
		}
	});
}
function downWgt(){
    plus.nativeUI.showWaiting("下载更新文件...");
    plus.downloader.createDownload( 'http://www.chechao100.com/mobile/download/chechao100.apk', {}, function(d,status){
        if ( status == 200 ) { 
            //console.log("下载wgt成功："+d.filename);
            plus.nativeUI.closeWaiting();
            installWgt(d.filename); // 安装wgt包
        } else {
            //console.log("下载wgt失败！");
            plus.nativeUI.closeWaiting();
            plus.nativeUI.toast("下载更新失败！");
        }
    }).start();
}
function installWgt(path){
    plus.nativeUI.showWaiting("安装更新文件...");
    plus.runtime.install(path,{},function(){
    },function(e){
    });
}